# class Devise::Delegator

Checks the scope in the given environment and returns the associated failure app.

### Public Instance Methods

call(env) click to toggle source

    # File lib/devise/delegator.rb, line 4
    def call(env)
      failure_app(env).call(env)
    end

failure_app(env) click to toggle source

    # File lib/devise/delegator.rb, line 8
    def failure_app(env)
      app = env["warden.options"] &&
        (scope = env["warden.options"][:scope]) &&
        Devise.mappings[scope.to_sym].failure_app

      app || Devise::FailureApp
    end